> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /sirene/companies/nearby

> Find French companies with an establishment within a radius of a geographic point

**Price:** 20 credits per 25 results



## OpenAPI

````yaml /openapi/company-registries.json post /api/sirene/companies/nearby
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/sirene/companies/nearby:
    post:
      tags:
        - /sirene
      summary: /sirene/companies/nearby
      description: >-
        Find French companies with an establishment within a radius of a
        geographic point


        **Price:** 20 credits per 25 results
      operationId: __api_sirene_companies_nearby_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SireneCompaniesNearbyPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SireneCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SireneCompaniesNearbyPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        lat:
          type: number
          maximum: 90
          minimum: -90
        long:
          type: number
          maximum: 180
          minimum: -180
        radius:
          type: number
          maximum: 50
          minimum: 0.001
        count:
          type: integer
          maximum: 10000
          minimum: 1
      type: object
      required:
        - lat
        - long
        - radius
        - count
    SireneCompany:
      properties:
        '@type':
          type: string
          default: SireneCompany
        siren:
          type: string
        name:
          type: string
        legal_name:
          anyOf:
            - type: string
            - type: 'null'
        sigle:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        legal_form:
          anyOf:
            - type: string
            - type: 'null'
        company_category:
          anyOf:
            - type: string
            - type: 'null'
        section_activite_principale:
          anyOf:
            - type: string
            - type: 'null'
        activite_principale:
          anyOf:
            - type: string
            - type: 'null'
        activite_principale_naf25:
          anyOf:
            - type: string
            - type: 'null'
        workforce_range:
          anyOf:
            - type: string
            - type: 'null'
        annee_tranche_effectif_salarie:
          anyOf:
            - type: string
            - type: 'null'
        establishment_count:
          anyOf:
            - type: integer
            - type: 'null'
        open_establishment_count:
          anyOf:
            - type: integer
            - type: 'null'
        creation_date:
          anyOf:
            - type: string
            - type: 'null'
        closure_date:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        statut_diffusion:
          anyOf:
            - type: string
            - type: 'null'
        headquarters:
          anyOf:
            - $ref: '#/components/schemas/SireneEstablishment'
            - type: 'null'
        officers:
          items:
            $ref: '#/components/schemas/SireneOfficer'
          type: array
        finances:
          items:
            $ref: '#/components/schemas/SireneFinance'
          type: array
        complements:
          anyOf:
            - $ref: '#/components/schemas/SireneComplements'
            - type: 'null'
      type: object
      required:
        - siren
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SireneEstablishment:
      properties:
        '@type':
          type: string
          default: SireneEstablishment
        siret:
          type: string
        is_headquarters:
          type: boolean
          default: false
        status:
          anyOf:
            - type: string
            - type: 'null'
        activite_principale:
          anyOf:
            - type: string
            - type: 'null'
        activite_principale_naf25:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        street_number:
          anyOf:
            - type: string
            - type: 'null'
        street_type:
          anyOf:
            - type: string
            - type: 'null'
        street_name:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
        commune:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        departement:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        epci:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: string
            - type: 'null'
        longitude:
          anyOf:
            - type: string
            - type: 'null'
        creation_date:
          anyOf:
            - type: string
            - type: 'null'
        activity_start_date:
          anyOf:
            - type: string
            - type: 'null'
        closure_date:
          anyOf:
            - type: string
            - type: 'null'
        workforce_range:
          anyOf:
            - type: string
            - type: 'null'
        nom_commercial:
          anyOf:
            - type: string
            - type: 'null'
        enseignes:
          items:
            type: string
          type: array
      type: object
      required:
        - siret
    SireneOfficer:
      properties:
        '@type':
          type: string
          default: SireneOfficer
        type_dirigeant:
          anyOf:
            - type: string
            - type: 'null'
        qualite:
          anyOf:
            - type: string
            - type: 'null'
        nom:
          anyOf:
            - type: string
            - type: 'null'
        prenoms:
          anyOf:
            - type: string
            - type: 'null'
        annee_de_naissance:
          anyOf:
            - type: string
            - type: 'null'
        date_de_naissance:
          anyOf:
            - type: string
            - type: 'null'
        nationalite:
          anyOf:
            - type: string
            - type: 'null'
        siren:
          anyOf:
            - type: string
            - type: 'null'
        denomination:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    SireneFinance:
      properties:
        '@type':
          type: string
          default: SireneFinance
        year:
          type: string
        ca:
          anyOf:
            - type: integer
            - type: 'null'
        resultat_net:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - year
    SireneComplements:
      properties:
        '@type':
          type: string
          default: SireneComplements
        is_association:
          type: boolean
          default: false
        is_entrepreneur_individuel:
          type: boolean
          default: false
        is_ess:
          type: boolean
          default: false
        is_societe_mission:
          type: boolean
          default: false
        is_service_public:
          type: boolean
          default: false
        is_administration:
          type: boolean
          default: false
        is_rge:
          type: boolean
          default: false
        is_bio:
          type: boolean
          default: false
        is_finess:
          type: boolean
          default: false
        is_qualiopi:
          type: boolean
          default: false
        is_organisme_formation:
          type: boolean
          default: false
        is_entrepreneur_spectacle:
          type: boolean
          default: false
        is_achats_responsables:
          type: boolean
          default: false
        is_alim_confiance:
          type: boolean
          default: false
        is_patrimoine_vivant:
          type: boolean
          default: false
        is_siae:
          type: boolean
          default: false
        is_uai:
          type: boolean
          default: false
        is_avocat:
          type: boolean
          default: false
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````